%global _empty_manifest_terminate_build 0
%global pypi_name nbdime

%global _description %{expand:
nbdime, on the other hand, provides “content-aware” diffing and merging of Jupyter notebooks. 
It understands the structure of notebook documents.}

Name:		python-%{pypi_name}
Version: 	3.2.1
Release: 	1
Summary: 	Diff and merge of Jupyter Notebooks
License: 	BSD	
URL: 		https://pypi.org/project/nbdime/	
Source0: 	https://github.com/rbarrois/%{pypi_name}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch: 	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description %_description

%package -n python3-%{pypi_name}
Summary: Diff and merge of Jupyter Notebooks
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%package help
Summary:	Help documents for %{name}

%description help
Help documents for the %{name}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md CONTRIBUTING.md
%{_bindir}/*
%{python3_sitelib}/nbdime-*.dist-info/
%{python3_sitelib}/nbdime
%{_datadir}/jupyter/
%{_prefix}/etc/jupyter/

%files help
%doc docs

%changelog
* Thu Jul 27 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 3.2.1-1
- Package init
